Tasuku
ReferenceAPI referenceWorkflows

Pause, resume, stop, or immediately run a recurring workflow

POST/organizations/{organization_id}/recurring-workflows/{workflow_id}/actions

Authorization

tasuku_session<token>

In: cookie

Path Parameters

organization_id*string
Length1 <= length <= 128
workflow_id*string
Length1 <= length <= 128

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/organizations/string/recurring-workflows/string/actions" \  -H "Content-Type: application/json" \  -d '{    "action": "PAUSE"  }'
{  "data": {    "id": "string",    "organization_id": "string",    "definition_id": "string",    "status": "ACTIVE",    "interval_seconds": 300,    "next_run_at": "2019-08-24T14:15:22Z",    "consecutive_failures": 0,    "source_channel_id": "string",    "source_thread_ts": "string",    "delivery_channel_id": "string",    "created_by": "string",    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z",    "kind": "QUESTION",    "prompt": "string",    "completion_condition": "string",    "output_format": "MARKDOWN",    "repository_id": "string",    "active_occurrence_id": "string",    "active_run_id": "string"  }}